Std Redo: Difference between revisions

From FreeCAD Documentation
No edit summary
(Undo revision 935939 by Evgeniy (talk))
Tag: Undo
 
(5 intermediate revisions by 4 users not shown)
Line 4: Line 4:
<!--T:8-->
<!--T:8-->
{{Docnav
{{Docnav
|[[Std_Undo|Std Undo]]
|[[Std_Undo|Undo]]
|[[Std_Cut|Std Cut]]
|[[Std_Cut|Cut]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Undo.svg
|IconL=Std_Undo.svg
Line 17: Line 17:
|MenuLocation=Edit → Redo
|MenuLocation=Edit → Redo
|Workbenches=All
|Workbenches=All
|Shortcut={{KEY|Ctrl}}+{{KEY|Shift}}+{{KEY|Z}}
|Shortcut={{KEY|Ctrl}}+{{KEY|Y}}
|SeeAlso=[[Std_Undo|Std Undo]]
|SeeAlso=[[Std_Undo|Std Undo]]
}}
}}
Line 63: Line 63:
<!--T:9-->
<!--T:9-->
{{Docnav
{{Docnav
|[[Std_Undo|Std Undo]]
|[[Std_Undo|Undo]]
|[[Std_Cut|Std Cut]]
|[[Std_Cut|Cut]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Undo.svg
|IconL=Std_Undo.svg

Latest revision as of 07:31, 11 August 2021

Std Redo

Menu location
Edit → Redo
Workbenches
All
Default shortcut
Ctrl+Y
Introduced in version
-
See also
Std Undo

Description

The Std Redo command reverses the action of the Std Undo command.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Redo button.
    • Select the Edit → Redo option from the menu.
    • Use the keyboard shortcut: Ctrl+Y.

Options

  • To redo multiple actions click on the black down arrow to the right of the Std Redo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To redo an action that has just been undone use the redo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.redo()